Page MenuHomeFreeBSD

Add support for zpool user properties
ClosedPublic

Authored by 0mp on Apr 18 2023, 2:05 PM.
Tags
Referenced Files
Unknown Object (File)
Sun, Apr 14, 10:07 PM
Unknown Object (File)
Sun, Apr 14, 8:40 PM
Unknown Object (File)
Sun, Apr 14, 8:38 PM
Unknown Object (File)
Dec 25 2023, 5:07 AM
Unknown Object (File)
Dec 25 2023, 5:07 AM
Unknown Object (File)
Dec 25 2023, 5:07 AM
Unknown Object (File)
Dec 25 2023, 5:07 AM
Unknown Object (File)
Dec 23 2023, 10:01 PM
Subscribers

Details

Summary

Add support for zpool user properties

Usage:

zpool set org.freebsd:comment="this is my pool" poolname

Tests are based on zfs_set's user property tests.

Also stop truncating property values at MAXNAMELEN, use ZFS_MAXPROPLEN.

Co-authored-by: Mateusz Piotrowski <0mp@FreeBSD.org>
Obtained from: OpenZFS 8eae2d214cfa Add support for zpool user properties
Sponsored by: Beckhoff Automation GmbH & Co. KG.
Sponsored by: Klara Inc.

Diff Detail

Repository
rG FreeBSD src repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 51154
Build 48045: arc lint + arc unit

Event Timeline

0mp requested review of this revision.Apr 18 2023, 2:05 PM

Remove unnecessary changes from the ABI file

Now that the patch has been merged upstream, let's rebase on the merged version.

markj added inline comments.
sys/contrib/openzfs/lib/libzfs/libzfs.abi
487

The upstream commit has more changes to libzfs.abi. Why aren't they in this patch?

sys/contrib/openzfs/lib/libzfs/libzfs.abi
487

I kept only the changes related to zpool user props. The upstream changes that are missing from this patch are "use_color" and "iterator" bits. I don't really know why those changes are parts of the zpool user properties patch in OpenZFS.

This revision is now accepted and ready to land.Apr 24 2023, 1:56 PM